automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: silent distuninstallcheck and distcleancheck


From: Alexandre Duret-Lutz
Subject: FYI: silent distuninstallcheck and distcleancheck
Date: Tue, 15 Apr 2003 22:39:02 +0200
User-agent: Gnus/5.090016 (Oort Gnus v0.16) Emacs/21.2 (gnu/linux)

I'm installing this simple change on HEAD and branch-1-7.

This is motivated by
http://sources.redhat.com/ml/automake/2003-03/msg00079.html

2003-04-15  Alexandre Duret-Lutz  <address@hidden>

        * lib/am/distdir.am (distuninstallcheck, distcleancheck): Silent
        these rules, so that we don't confuse users by echoing
        "echo ERROR:..." commands which are not run.

Index: lib/am/distdir.am
===================================================================
RCS file: /cvs/automake/automake/lib/am/distdir.am,v
retrieving revision 1.40.2.4
diff -u -r1.40.2.4 distdir.am
--- lib/am/distdir.am   19 Feb 2003 20:07:22 -0000      1.40.2.4
+++ lib/am/distdir.am   15 Apr 2003 20:33:39 -0000
@@ -359,9 +359,9 @@
 .PHONY: distuninstallcheck
 distuninstallcheck_listfiles = find . -type f -print
 distuninstallcheck:
-## We use -le 1 because the `dir' file might still exist after
-## uninstall.
-       cd $(distuninstallcheck_dir) \
+## We use -le 1 because the `dir' file (created by install-info)
+## might still exist after uninstall.
+       @cd $(distuninstallcheck_dir) \
        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
           || { echo "ERROR: files left after uninstall:" ; \
                if test -n "$(DESTDIR)"; then \
@@ -375,11 +375,11 @@
 .PHONY: distcleancheck
 distcleancheck_listfiles = find . -type f -print
 distcleancheck: distclean
-       if test '$(srcdir)' = . ; then \
+       @if test '$(srcdir)' = . ; then \
          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
          exit 1 ; \
        fi
-       test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
+       @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
          || { echo "ERROR: files left in build directory after distclean:" ; \
               $(distcleancheck_listfiles) ; \
               exit 1; } >&2

-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]